X
Tap here to go to the mobile version of the site.

منتدى الدعم

What is the latest version of Firefox compatible with a MacBook Pro with 2.33 GHz Intel Core 2 Duo running OSX 10.5.8?

Posted

I keep getting told my browser needs updating and it doesn't work right on some websites. I have had unhappy experiences in the past trying to update Apple OS and Firefox due to compatibility issues. I suppose I could switch to Safari but I have been using Firefox for many years and would prefer to stick with what I know.

I keep getting told my browser needs updating and it doesn't work right on some websites. I have had unhappy experiences in the past trying to update Apple OS and Firefox due to compatibility issues. I suppose I could switch to Safari but I have been using Firefox for many years and would prefer to stick with what I know.

Chosen solution

Firefox 16.0.2 was the last to work on the old Mac OSX 10.5.x as Firefox 17.0 to current has required OSX 10.6+

https://www.mozilla.org/en-US/firefox/16.0/system-requirements/ https://www.mozilla.org/en-US/firefox/17.0/system-requirements/

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Garmin Communicator Plug-in Version 4.2.0.0
  • Shockwave Flash 10.3 r183
  • Garmin Communicator Plug-in Version 4.0.3.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:16.0) Gecko/20100101 Firefox/16.0

More Information

James
  • Moderator
1595 solutions 11242 answers

Chosen Solution

Firefox 16.0.2 was the last to work on the old Mac OSX 10.5.x as Firefox 17.0 to current has required OSX 10.6+

https://www.mozilla.org/en-US/firefox/16.0/system-requirements/ https://www.mozilla.org/en-US/firefox/17.0/system-requirements/

Firefox 16.0.2 was the last to work on the old Mac OSX 10.5.x as Firefox 17.0 to current has required OSX 10.6+ https://www.mozilla.org/en-US/firefox/16.0/system-requirements/ https://www.mozilla.org/en-US/firefox/17.0/system-requirements/